| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
HDF5::DataSetKey Class Reference
General

`#include <hdf5access.h>`

## Public Member Functions
| DataSetKey (const char *grpnm=nullptr, const char *dsnm=nullptr)
| ~DataSetKey ()
int | chunkSz (int idim) const
bool | dataSetEmpty () const
const char * | dataSetName () const
BufferString | fullDataSetName () const
const char * | groupName () const
bool | hasDataSet (const char *nm) const
bool | hasGroup (const char *nm) const
bool | isEditable () const
int | maxDimSz (int idim) const
void | setChunkSize (const int *szs, int nrdims=1, int from=0)
void | setChunkSize (int idim, int sz)
DataSetKey & | setDataSetName (const char *nm)
void | setEditable (bool yn)
DataSetKey & | setGroupName (const char *nm)
void | setMaximumSize (int idim, int maxsz=256)

## Static Public Member Functions
static DataSetKey | groupKey (const char *parentfulldsnm, const char *grpnm)
static DataSetKey | groupKey (const DataSetKey &parentgrp, const char *subgrpnm)

## Protected Attributes
TypeSet< int > | chunkszs_
BufferString | dsnm_
bool | editable_ = false
BufferString | grpnm_
TypeSet< int > | maxsizedim_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ DataSetKey()

HDF5::DataSetKey::DataSetKey | ( | const char * | grpnm = nullptr,
|  | const char * | dsnm = nullptr )

## ◆ ~DataSetKey()

HDF5::DataSetKey::~DataSetKey | ( |  | ) |

## Member Function Documentation

## ◆ chunkSz()

int HDF5::DataSetKey::chunkSz | ( | int | idim | ) | const

## ◆ dataSetEmpty()

bool HDF5::DataSetKey::dataSetEmpty | ( |  | ) | const
| inline

## ◆ dataSetName()

const char * HDF5::DataSetKey::dataSetName | ( |  | ) | const
| inline

## ◆ fullDataSetName()

BufferString HDF5::DataSetKey::fullDataSetName | ( |  | ) | const

## ◆ groupKey() [1/2]

static DataSetKey HDF5::DataSetKey::groupKey | ( | const char * | parentfulldsnm,
|  | const char * | grpnm )
| static

## ◆ groupKey() [2/2]

static DataSetKey HDF5::DataSetKey::groupKey | ( | const DataSetKey & | parentgrp,
|  | const char * | subgrpnm )
| static

## ◆ groupName()

const char * HDF5::DataSetKey::groupName | ( |  | ) | const
| inline

## ◆ hasDataSet()

bool HDF5::DataSetKey::hasDataSet | ( | const char * | nm | ) | const
| inline

## ◆ hasGroup()

bool HDF5::DataSetKey::hasGroup | ( | const char * | nm | ) | const

## ◆ isEditable()

bool HDF5::DataSetKey::isEditable | ( |  | ) | const
| inline

## ◆ maxDimSz()

int HDF5::DataSetKey::maxDimSz | ( | int | idim | ) | const

## ◆ setChunkSize() [1/2]

void HDF5::DataSetKey::setChunkSize | ( | const int * | szs,
|  | int | nrdims = 1,
|  | int | from = 0 )

## ◆ setChunkSize() [2/2]

void HDF5::DataSetKey::setChunkSize | ( | int | idim,
|  | int | sz )

## ◆ setDataSetName()

DataSetKey & HDF5::DataSetKey::setDataSetName | ( | const char * | nm | ) |
| inline

## ◆ setEditable()

void HDF5::DataSetKey::setEditable | ( | bool | yn | ) |
| inline

## ◆ setGroupName()

DataSetKey & HDF5::DataSetKey::setGroupName | ( | const char * | nm | ) |
| inline

## ◆ setMaximumSize()

void HDF5::DataSetKey::setMaximumSize | ( | int | idim,
|  | int | maxsz = 256 )

Always switches on the editability Pass mUdf(int) to disable for a given dimension

## Member Data Documentation

## ◆ chunkszs_

TypeSet<int> HDF5::DataSetKey::chunkszs_
| protected

## ◆ dsnm_

BufferString HDF5::DataSetKey::dsnm_
| protected

## ◆ editable_

bool HDF5::DataSetKey::editable_ = false
| protected

## ◆ grpnm_

BufferString HDF5::DataSetKey::grpnm_
| protected

## ◆ maxsizedim_

TypeSet<int> HDF5::DataSetKey::maxsizedim_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025